#include <stdlib.h>
#include <stdio.h>
#include "common.h"


HELP("compressor <num. materials> <n''1> <l1 [mm]> ... <n' compressor>\n")


int main(int argc, char **argv)
{
  check_args(argc, argv, 5);

  int n_material = atoi(argv[1]), i, arg_pos = 2;
  double n2[n_material], l[n_material];

  if (argc != 2 * n_material + 3) return help(stderr, -2);

  for (i = 0; i < n_material; i++)
  {
    n2[i] = atof(argv[arg_pos++]);
    l[i] = atof(argv[arg_pos++]);
  }

  double n1_compressor = atof(argv[arg_pos++]);
  double sum = 0.0;
  for (i = 0; i < n_material; i++)
    sum += n2[i] * l[i];

  printf("length %.0fcm\n", sum / (8.0 * n1_compressor * n1_compressor) * 0.1);
  
  return 0;
}
