#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "common.h"
#include "double-arg.h"
#include "laurent.h"


HELP("laurent [-n] <lambda [nm]> A0 A1 A2 A3 A4 A5\n")


int main(int argc, char **argv)
{
  int arg_pos = 1, number_only ;
  number_only = check_option(argc, argv, "-n", &arg_pos);
  check_args_opt(argc, argv, arg_pos, 7);

  double lambda = atof(argv[arg_pos++]);
  double coeff[6];
  double_arg(arg_pos, argv, 6, coeff);

  if (number_only)
    printf("%.6f\n", laurent_coeff(lambda, coeff));
  else
    printf("n(%.2f nm) = %.6f\n", lambda, laurent_coeff(lambda, coeff));

  return 0;
}
