#ifndef _laurent_h_
#define _laurent_h_


inline double laurent(double lambda, double a0, double a1, double a2,
                      double a3, double a4, double a5)
{
  lambda *= 1e6;
  double l2 = lambda * lambda;
  double OneOverL2 = 1.0 / l2;
  return a0 + a1 * l2
    + OneOverL2 * (a2 + OneOverL2 * (a3 + OneOverL2 * (a4 + OneOverL2 * a5)));
}


inline double laurent_coeff(double lambda, double *coeff)
{
  return laurent(lambda, coeff[0], coeff[1], coeff[2], coeff[3], coeff[4],
                 coeff[5]);
}


#endif // _laurent_h_
