#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <string.h>
#include "common.h"
#include "double-arg.h"
#include "sellmeier.h"


HELP("sellmeier [-n] <lambda[nm]> <B1> <B2> <B3> <C1> <C2> <C3>\n");


int main(int argc, char **argv)
{
  int arg_pos = 1, number_only;
  number_only = check_option(argc, argv, "-n", &arg_pos);
  check_args_opt(argc, argv, arg_pos, 7);

  double lambda = atof(argv[arg_pos++]);
  double coeff[6];
  double_arg(arg_pos, argv, 6, coeff);

  if (number_only)
    printf("%.6f\n", sellmeier_coeff(lambda * 1e-9, coeff));
  else
    printf("n(%.2f nm) = %.6f\n",
           lambda, sellmeier_coeff(lambda * 1e-9, coeff));

  return 0;
}
