#ifndef _sellmeier_h_
#define _sellmeier_h_


inline double sellmeier(double lambda, double b1, double b2, double b3,
                        double c1, double c2, double c3) {
  lambda *= 1e6;
  double l2 = lambda * lambda;
  return sqrt(1.0 + b1*l2/(l2-c1) + b2*l2/(l2-c2) + b3*l2/(l2-c3));
}


inline double sellmeier_coeff(double lambda, double *coeff) {
  return sellmeier(lambda, coeff[0], coeff[1], coeff[2], coeff[3], coeff[4],
                   coeff[5]);
}


#endif // _sellmeier_h_
